/api/datasets/{dataset_id}/insights/{id}/

Insights: The core analytical components within Analytics where users create specific analyses and visualizations from their data. Examples include Trends, Funnels, Retention, User Paths, Stickiness, Lifecycle, and SQL Insights.

Get a specific insight from a specific dataset.

Path Params
string
required

Dataset ID of the dataset you're trying to access. To find the ID of the dataset, make a call to /api/datasets/.

integer
required

A unique integer value identifying this insight.

Query Params
string
enum
Allowed:
integer

When loading an insight for a dashboard pass a from_dashboard query parameter containing the dashboard ID

e.g. "/api/datasets/{team_id}/insights/{insight_id}?from_dashboard={dashboard_id}"

Insights can be added to more than one dashboard, this allows the insight to be loaded in the correct context.

Using the correct cache and enriching the response with dashboard specific config (e.g. layouts or colors)

boolean
            The client can request that an insight be refreshed by setting the `refresh=true` parameter.
            The server will then decide if the data should or not be refreshed based on a set of heuristics
            meant to determine the staleness of cached data. The result will contain as `is_cached` field
            that indicates whether the insight was actually refreshed or not through the request.
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/csv